import request from '@/utils/request'

export function getTypeIdData(data: any) {
    return request({
        url: '/system-boot/dictData/getTypeIdData',
        method: 'post',
        data: data
    })
}
export function getOnlineRateData2(data:any) {
    return request({
        url: '/harmonic-boot/onlineRateData/getOnlineRateData',
        method: 'post',
        data: data
    })
}
export function getAreaDept() {
    return request({
        url: '/user-boot/dept/loginDeptTree',
        method: 'post'
    })
}
// 承载能力评估去除前缀
export function getAreaDeptRemoveMode(params) {
    return request({
        url: '/user-boot/dept/loginDeptTree',
        method: 'GET',
        params: params
    })
}
export function getOnlineRateDataCensus(data:any) {
    return request({
        url: '/device-boot/terminalOnlineRateData/getOnlineRateDataCensus',
        method: 'post',
        data: data
    })
}
export function IntegrityIcon(data:any) {
    return request({
        url: '/harmonic-boot/integrity/getIntegrityIcon',
        method: 'post',
        data: data
    })
}
export function getDeptIdAreaTree() {
    return request({
        url: '/system-boot/area/getDeptIdAreaTree',
        method: 'post'
    })
}
export function getOnlineRateData(data:any) {
    return request({
        url: '/device-boot/terminalOnlineRateData/getOnlineRateData',
        method: 'post',
        data: data
    })
}
export function getSubstationInfoById(data:any) {
    return request({
        url: '/harmonic-boot/PollutionSubstation/getSubstationInfoById',
        method: 'post',
        data: data
    })
}
export function getLineInfoById(data:any) {
    return request({
        url: '/harmonic-boot/PollutionSubstation/getLineInfoById',
        method: 'post',
        data: data
    })
}
export function getLineRank(data:any) {
    return request({
        url: '/harmonic-boot/PollutionSubstation/getLineRank',
        method: 'post',
        data: data
    })
}
export function deptInfo(data:any) {
    return request({
        url: '/harmonic-boot/detailAnalysis/deptInfo',
        method: 'post',
        data: data
    })
}
export function getXbLineInfoById(data:any) {
    return request({
        url: '/harmonic-boot/detailAnalysis/getXbLineInfoById',
        method: 'post',
        data: data
    })
}
export function getSubInfoById(data:any) {
    return request({
        url: '/harmonic-boot/detailAnalysis/getSubInfoById',
        method: 'post',
        data: data
    })
}
export function getXbLineRank(data:any) {
    return request({
        url: '/harmonic-boot/detailAnalysis/getXbLineRank',
        method: 'post',
        data: data
    })
}
// 数据补招
export function FullRecall(data:any) {
    return request({
        url: '/data-processing-boot/data/FullRecall',
        method: 'post',
        data: data
    })
}
